%global npm_name verror
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.10.0
Release: %mkrel 4
Summary: richer JavaScript errors
License: MIT
Group: Development/Other
URL: https://github.com/davepacheco/node-verror#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus) >= 1.0.0
Requires: npm(assert-plus) < 2.0.0
Requires: npm(core-util-is) = 1.0.2
Requires: npm(extsprintf) >= 1.2.0
Requires: npm(extsprintf) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGES.md
%doc CONTRIBUTING.md
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.10.0-4.mga9
+ Revision: 1818725
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-3.mga8
+ Revision: 1503279
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-2.mga7
+ Revision: 1281255
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.10.0-1.mga7
+ Revision: 1227254
- imported package nodejs-verror

